Issue 121528 - Update internal libxml2 to version 2.7.8
Update internal libxml2 to version 2.7.8
Status: VERIFIED FIXED
Product: Build Tools
Classification: Code
Component: external prerequisites
4.0.0-dev
All All
: P3 normal (vote)
: 4.0.0
Assigned To: AOO issues mailing list
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-12-20 20:35 UTC by Pedro Giffuni
Modified: 2013-07-12 11:18 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
Latest Confirmation on: ---
Developer Difficulty: ---


Attachments
Patch to update libxml2 (13.18 KB, patch)
2012-12-20 20:35 UTC, Pedro Giffuni
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this issue.
Description Pedro Giffuni 2012-12-20 20:35:47 UTC
Created attachment 80061 [details]
Patch to update libxml2

We currently use libxml2 version 1.7.6 which was released on Oct. 6 2009.

Since then, many bugs have been fixed upstream and support for newer compilers was added.
http://xmlsoft.org/news.html

While 1.7.8 is not the latest, it is the last of the 1.7.x series and has been tested and known to work well on FreeBSD where it is known to build with gcc and clang.
Comment 1 SVN Robot 2012-12-20 21:48:43 UTC
"pfg" committed SVN revision 1424721 into trunk:
i121528 - Update internal libxml2 to version 2.7.8.
Comment 2 SVN Robot 2012-12-21 06:14:51 UTC
"pfg" committed SVN revision 1424811 into trunk:
i121528 - fix win build. Add upstream patch by Rob Richards.
Comment 3 Pedro Giffuni 2012-12-23 02:06:01 UTC
Seems to work well ...